Create asset
POST /assets
POST /assets
Creates an asset and returns a presigned URL for uploading its associated file. Returns a 422 error if quota limits are exceeded.
To upload the file, perform a PUT request to the returned upload URL with the following headers: Content-Type, Content-Length, and x-amz-checksum-sha256, using the same values as those provided in the asset creation request.
The file must be uploaded and validated using the complete operation within 60 minutes of asset creation.
appIdstringchecksumstring✻The base64 encoded, 256-bit SHA256 digest of the asset file.
44..44 characters"PMn3M4bMd4BMeNhBEDZNQLYxOa6l0luM+IrDA3pZlpY="contentTypestring✻filenamestring✻sizeinteger✻The size of the asset file in bytes. Must be a positive integer not exceeding 20 MiB.
10245242880idstring✻appIdstring✻userIdstring✻storageKeystring✻checksumstring✻The base64 encoded, 256-bit SHA256 digest of the asset file.
44..44 characters"PMn3M4bMd4BMeNhBEDZNQLYxOa6l0luM+IrDA3pZlpY="contentTypestring✻filenamestring✻sizeinteger✻The size of the asset file in bytes. Must be a positive integer not exceeding 20 MiB.
10245242880statusstring✻The asset is awaiting upload completion and cannot be downloaded until the upload process is complete.
"uploadable"uploadUrlstring✻A presigned URL for upload or download operations expiring after 60 minutes.
"https://object-storage.hedia.com/bucket/key?X-Amz-Expires=3600&X-Amz-Signature=signature"createdobject✻Information about the creation of an entity.
atstring✻byobject✻id✻typestring✻"app""system""user"updatedobjectInformation about the update of an entity.
atstring✻byobject✻id✻typestring✻"app""system""user"